; Dibuja dos líneas verticales, una de abajo a arriba y otra de arriba a abajo
; para probar las rutinas NextScan y PreviousScan.
org	$8000

ld      hl, $4000       ; Apunta HL al primer scanline, primera línea, primer tercio
                        ; y columna 0 de la pantalla (Columna de 0 a 31)
ld      b, $c0          ; B = 192. Número de scanlines que tiene la pantalla

loop:
ld      (hl), $3c       ; Pinta en la pantalla 001111000
call	NextScan        ; Pasa al siguiente scanline
; halt                  ; Descomentar línea si se quiere ver el proceso de pintado
djnz    loop            ; Hasta que B = 0

ld      hl, $57ff       ; Apunta HL al último scanline, última línea, último tercio
                        ; y columna 31 de la pantalla (Columna de 0 a 31)
ld      b, $c0          ; B = 192. Número de scanlines que tiene la pantalla

loopUp:
ld      (hl), $3c       ; Pinta en la pantalla 001111000
call    PreviousScan    ; Pasa al scanline anterior
; halt                  ; Descomentar línea si se quiere ver el proceso de pintado
djnz    loopUp          ; Hasta que B = 0
ret

include "Video.asm"
end     $8000